#!/usr/bin/env python

import client
import common
import sys

##############################################################################

class MyClient(client.GameClient):

    def play_turn(self, current_state):
        print "My turn!"
        return common.RESPONSE_TAKE
        
    def game_over(self, state):
        print "Game over!"
        print "Final state:"
        state.output(sys.stdout)

    def starting_state(self, state):
        print "Starting state:"
        state.output(sys.stdout)

##############################################################################
        
if len(sys.argv) < 3:
    print "Usage: %s player_name server_port" % sys.argv[0]
    sys.exit(1)

s = MyClient(sys.argv[1], '', int(sys.argv[2]))
s.play_game()

