#!/usr/bin/env python

import server
import sys

##############################################################################

class SimpleServer(server.GameServer):

    def client_connected(self, cs):
        print "Client connected: %s" % cs

    def player_info_received(self, i, player_state):
        n = player_state.name
        print "Player %s: %s" % (i + 1, n)

    def player_is_broken(self, player):
        print "Player %s is broken" % player.name

    def game_over(self):
        print "Game over"

##############################################################################

if len(sys.argv) < 3:
    print "Usage: %s num_of_players port" % sys.argv[0]
    sys.exit(1)

s = SimpleServer(int(sys.argv[1]), port=int(sys.argv[2]))
s.run_game()

